---
- name: Automatiser les mises à jour sur Linux et Windows
  hosts: all
 # become: yes  # Pour les privilèges élevés (sudo sur Linux, admin sur Windows)
  tasks:
    #------------------------------------------------------------
    # TÂCHES POUR LINUX
    # -----------------------------------------------------------
    - name: Mettre à jour le cache et installer les mises à jour sur Linux
      become: yes
      apt:
        update_cache: yes
        upgrade: dist  # Met à jour tous les paquets (équivalent à apt upgrade -y)
        autoremove: yes
        autoclean: yes
      when: ansible_distribution == 'Ubuntu'

    #------------------------------------------------------------
    # TÂCHES POUR WINDOWS
    # -----------------------------------------------------------


    - name: Créer le dossier de logs sur Windows
      win_file:
        path: C:\scripts\logs
        state: directory
      when: ansible_os_family == 'Windows'

    - name: Installer les mises à jour sur Windows
      win_updates:
        category_names:
          - SecurityUpdates
          - CriticalUpdates
          - UpdateRollups
          - DefinitionUpdates
          - Updates
        state: installed
        reboot: no
        log_path: C:\scripts\logs\windows_updates.log
      when: ansible_os_family == 'Windows' 
